import {useEffect} from 'react'
import {PositionsList} from '../PositionsList'
import { useParams } from 'react-router-dom';
import {getOrganisationById, getPositionsByOrganisationId} from '../../core/_requests'
import {useQuery} from 'react-query'
import {QUERIES} from '../../../../../../../_metronic/helpers'
import { OrganisationRolesList } from '../OrganisationRolesList';
import {MenuComponent} from '../../../../../../../_metronic/assets/ts/components'
import {useQueryResponse} from '../../core/QueryResponseProviderOrganisation'

import { ListViewProviderOrganisation } from '../../edit-modal/organisation/ListViewProviderOrganisation';
import { ListViewProviderPosition } from '../../edit-modal/position/ListViewProviderPosition';
import { QueryRequestProvider } from '../../core/QueryRequestProvider';


export function Overview() {
  const {query} = useQueryResponse()

  useEffect(() => {
    MenuComponent.reinitialization()
    console.log(organisation)
  }, [])

  const id = useParams().id
    const {
      data: organisation,
    } = useQuery(
      `${QUERIES.ORGANISATIONS_LIST}-${query}`,
      () => {
        return getOrganisationById(Number(id))
      },
      {
        cacheTime: 0,
        enabled: true,
        onError: (err) => {
          console.error(err)
        },
      }
    )

      console.log(organisation?.positions)
  return (

    <div className='row g-5 g-xxl-8'>
      <div className='col-xl-6'>
        {organisation?.positions !== undefined ? 
        <QueryRequestProvider>
          <ListViewProviderPosition>
              <PositionsList className='mb-5 mb-xxl-8' positions={organisation.positions}/>
          </ListViewProviderPosition>
        </QueryRequestProvider>
      :null}
      </div>
      <div className='col-xl-6'>
        {organisation?.organisationRoles !== undefined ? 
        <QueryRequestProvider>
          <ListViewProviderOrganisation>
          <OrganisationRolesList className='mb-5 mb-xxl-8' organisation={organisation}/>
          </ListViewProviderOrganisation>
        </QueryRequestProvider>
      :null}
      </div>
    </div>
  )
}
